from django import template
from billard.models import Accounting
from datetime import datetime, timedelta
from django.db.models import Sum

register = template.Library()


@register.filter(is_safe=True)
def display_daily_sale(location):
    start_date = datetime.now().replace(hour=5, minute=0, second=0, microsecond=0)
    end_date = start_date + timedelta(days=1)
    prize__sum = Accounting.objects.filter(billed=True,
                                         desk__client__location=location,
                                         account_tst__range=(start_date, end_date)).aggregate(Sum('prize'))
    if prize__sum['prize__sum'] is None:
        prize__sum['prize__sum'] = 0
    return "Tagesumsatz: {0:.2f} EUR".format(prize__sum['prize__sum'])
